Page MenuHomePhabricator

add techblog.wikimedia.org redirection to blog.wikimedia.org to redirects
Closed, ResolvedPublic

Description

The techblog.wikimedia.org certificate expires on 2015-02-26. The two solutions are:

  1. Purchase a new certificate - simple but requires we purchase and maintain it.
  1. Push techblog.w.o to cluster (where we have the wildcard) and then rewrite it to blog.wikimedia.org (hosted by automattic) - more initial overhead to add to redirects, but end result is one less certificate to manage.

After off-task discussions involving pricing and overhead of simply adding it to redirects, the redirects option was elected.

Event Timeline

RobH created this task.Feb 24 2015, 9:00 PM
RobH claimed this task.
RobH raised the priority of this task from to High.
RobH updated the task description. (Show Details)
RobH added a project: acl*sre-team.
RobH added subscribers: RobH, Tbayer.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2015, 9:00 PM
Tbayer set Security to None.
RobH added a comment.Feb 24 2015, 9:32 PM

I'll push change https://gerrit.wikimedia.org/r/#/c/192675/ later today and test it out. If it works, I'll change our dns records for techblog to point at our apache cluster rather than automattic

RobH updated the task description. (Show Details)Feb 24 2015, 10:32 PM
RobH added a comment.Feb 25 2015, 7:51 PM

I've gotten reviews and feedback from Faidon (with corrections), implemented corrections and gotten a +1 from Brandon. As such, I plan to deploy this later today, and took the 2PM PDT window on https://wikitech.wikimedia.org/wiki/Deployments

RobH added a comment.Feb 25 2015, 10:41 PM

apache rewrite is live

https://gerrit.wikimedia.org/r/#/c/192965/ is the dns change

RobH closed this task as Resolved.Feb 26 2015, 11:28 PM

The changes are live and the techblog > blog rewrite is working just fine. resolving task